Bug 538433 - /etc/bash_completion assumes pidof is in path; needs to be hard-coded
Summary: /etc/bash_completion assumes pidof is in path; needs to be hard-coded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash-completion
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-18 15:32 UTC by Matthew Miller
Modified: 2010-10-25 16:34 UTC (History)
2 users (show)

Fixed In Version: 1.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-01 19:32:43 UTC


Attachments (Terms of Use)

Description Matthew Miller 2009-11-18 15:32:38 UTC
pidof is traditionally located in /sbin, despite being an end-user-useful program. (/sbin insanity; *sigh*). Fedora now includes sbin directories in the path by default, but this can't be assumed for all users. Long term, pidof should maybe be moved.

Short term, pidof needs to be hard-coded to /sbin/pidof in /etc/bash_completion, or else many completions get this:

$ ssh [tab]-bash: pidof: command not found

Comment 1 Ville Skyttä 2009-11-18 21:25:51 UTC
There is only one use of pidof in bash-completion 1.1 and even that has been removed upstream so the problem will go away in future updates.  While annoying, AFAIU the error message you see should be just an annoyance and shouldn't prevent things from working (although hostname completions won't include hosts reported by avahi) and requires a fairly specific non-default setup (no /sbin in PATH, avahi-browse in PATH) for even that so I think this alone does not warrant a package update right now.

Comment 2 Ville Skyttä 2009-11-18 21:58:31 UTC
No no, this is not a WONTFIX - it is a bug but one I just don't think needs fixing with an update right now as there's nothing else queued.  I'd like to keep this open for tracking purposes and will close when a fix is in.

(And BTW, I still dislike the /sbin insanity too.)

Comment 3 Bug Zapper 2010-03-15 13:06:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Update System 2010-06-20 10:56:52 UTC
bash-completion-1.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bash-completion-1.2-1.fc13

Comment 5 Fedora Update System 2010-07-01 18:59:49 UTC
bash-completion-1.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-10-04 17:27:44 UTC
bash-completion-1.2-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bash-completion-1.2-3.el5

Comment 7 Fedora Update System 2010-10-25 16:34:15 UTC
bash-completion-1.2-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.